org.gradle.api.tasks

## Interface ScalaSourceSet

-     public interface ScalaSourceSet

  A `ScalaSourceSetConvention` defines the properties and methods added to a `SourceSet` by the `ScalaPlugin`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SourceDirectorySet` | `getAllScala()` All Scala source for this source set.
    `SourceDirectorySet` | `getScala()` Returns the source to be compiled by the Scala compiler for this source set.
    `ScalaSourceSet` | `scala(Action<? super SourceDirectorySet> configureAction)` Configures the Scala source for this set.
    `ScalaSourceSet` | `scala(Closure configureClosure)` Configures the Scala source for this set.

- - ### Method Detail

    - #### getScala

          SourceDirectorySet getScala()

      Returns the source to be compiled by the Scala compiler for this source set. This may contain both Java and Scala source files.
      Returns:
        The Scala source. Never returns null.

    - #### scala

          ScalaSourceSet scala(Closure configureClosure)

      Configures the Scala source for this set.

      The given closure is used to configure the `SourceDirectorySet` which contains the Scala source.

      Parameters:
        `configureClosure` - The closure to use to configure the Scala source.
      Returns:
        this

    - #### scala

          ScalaSourceSet scala(Action<? super SourceDirectorySet> configureAction)

      Configures the Scala source for this set.

      The given action is used to configure the `SourceDirectorySet` which contains the Scala source.

      Parameters:
        `configureAction` - The action to use to configure the Scala source.
      Returns:
        this

    - #### getAllScala

          SourceDirectorySet getAllScala()

      All Scala source for this source set.
      Returns:
        the Scala source. Never returns null.